import { useMemo } from 'react';

function makeId() {
  const chars =
    '0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz';
  let id = '';
  for (let i = 0; i < 10; i += 1) {
    id += chars[Math.floor(Math.random() * chars.length)];
  }
  return id;
}

export const useId = (id?: string) => {
  return useMemo(() => id ?? makeId(), [id]);
};
